Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-46785

Forbid 4.4 mongod binaries from starting up on 4.0 data files

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 4.4.0-rc0, 4.7.0
    • Component/s: Storage
    • Labels:
      None
    • Backwards Compatibility:
      Fully Compatible
    • Backport Requested:
      v4.4
    • Sprint:
      Execution Team 2020-03-23

      Description

      The WT version to be released with 4.4 is not capable of emitting checkpoints that a 4.0 binary will understand. If WT fails to start up on 4.2 datafiles (WT version 3.1.0), MongoDB should not fall back to trying on 4.0/3.6 data files (WT version 3.0.0).

      Care should be taken to leave repair code intact when WT returns a "try salvage" error code.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              gregory.noma Gregory Noma
              Reporter:
              daniel.gottlieb Daniel Gottlieb
              Participants:
              Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: